"use strict";

var FORMAT_REGEXP = /:([a-z][a-z0-9_]*)/g,
    NORMAL_REGEXP = /\s+/g;

module.exports = {
    format: function(str, tokens) {
        return str.replace(FORMAT_REGEXP, function(m, token) {
            return tokens[token] || m;
        });
    },
    
    normalize: function(str) {
        return String(str||"").replace(NORMAL_REGEXP, "").toLowerCase();
    }
};